%global modname appdirs

%if 0%{?fedora} 
%global with_python3 1
%global with_python2 1
%else
%if 0%{?rhel} > 7
%global with_python3 1
%global with_python2 0
%endif
%endif


Name:          python-%{modname}
Version:       1.4.0
Release:       10%{?dist}.1
Provides:       python2-appdirs = %{version}-%{release}
Summary:       Python module for determining platform-specific directories

License:       MIT
URL:           http://github.com/ActiveState/appdirs
Source0:       https://pypi.python.org/packages/source/a/%{modname}/%{modname}-%{version}.tar.gz

%if 0%{?with_python2}
BuildRequires: python2-devel python2-setuptools
%endif
%if 0%{?with_python3}
BuildRequires: python3-devel python3-setuptools
%endif
BuildArch:     noarch

%description
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

%if 0%{?with_python3}
%package -n python3-%{modname}
Summary:       Python 3 module for determining platform-specific directoriess
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
A small Python 3 module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".
%endif

%prep
%autosetup -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
%if 0%{?with_python2}
CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} build --executable="%{__python2} -s"
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python2_sitelib}/%{modname}.py
%endif
%if 0%{?with_python3}
%py3_install
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{modname}.py
%endif


%check
%if 0%{?with_python2}
%{__python2} setup.py test
%endif
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%if 0%{?with_python2}
%files -n python-%{modname}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python2_sitelib}/%{modname}.*
%{python2_sitelib}/%{modname}-%{version}-py%python2_version.egg-info/
%endif

%if 0%{?with_python3}
%files -n python3-%{modname}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.cpython-%{python3_version_nodots}*
%{python3_sitelib}/%{modname}-%{version}-py%python3_version.egg-info/
%endif

%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 1.4.0-10.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.4.0-10
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.4.0-9
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 1.4.0-8
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.4.0-7
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.4.0-6
- rebuilt

* Fri Jan 25 2019 Lon Hohberger <lon@redhat.com> - 1.4.0-5
- Drop python2 for RHEL8

* Wed Aug 05 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.4.0-4
- Update to new packaging guidelines

* Sun Aug 02 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.4.0-3
- Use modern python rpm macros

* Mon Jul 27 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.4.0-2
- Include CHANGES.rst in doc
- use python2-devel in BR instead of python-devel
- run tests

* Fri May 08 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.4.0-1
- Initial package
